summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorpat-s2018-05-29 11:02:27 +0200
committerpat-s2018-05-29 11:02:27 +0200
commit4cac6bfbd2ce2bb102c698cf6c4223d26234355d (patch)
treeb09ac17e80b6adfb882656f27779dc8a497887ae
parent9bf69cdccd1757bdf889e37f74b8578158749662 (diff)
downloadaur-4cac6bfbd2ce2bb102c698cf6c4223d26234355d.tar.gz
upgpkg: v8-3.14 3.14.5-4
update gcc8 checks (thanks @sjewo)
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD4
2 files changed, 3 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 7e8a785693a..cab56ea671e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = v8-3.14
pkgdesc = A fast and modern javascript engine (old 3.14 version required R package V8)
pkgver = 3.14.5
- pkgrel = 3
+ pkgrel = 4
url = http://code.google.com/p/v8
arch = i686
arch = x86_64
@@ -26,7 +26,6 @@ pkgbase = v8-3.14
source = 0015-Backport-Utils-ApiCheck.patch
source = 0016-remove-this-null.patch
source = 0017_increase_stack_size_for_test.patch
- source = https://gist.github.com/pat-s/942e255ea38821e6ac3e82a36cb3c4bd
source = fix_CVE-2014-5256.patch
source = nodejsREPLACE_INVALID_UTF8.patch
source = strict_overflow.patch
@@ -47,13 +46,11 @@ pkgbase = v8-3.14
sha256sums = 69906640439c263fdeacaf14605e785294f1f3daf28f7633b40a5ac8d6977797
sha256sums = e90b54cf2e296c6d5c4bc41b7159015a6584191b5c2ab95a2f28861fb1c3bcb3
sha256sums = 71a600e3e502896d45076103201d35c30f778fa57a750bb3f2dfdbdcb3a708b8
- sha256sums = 64097860ecaa7894493190994c4ac3d167dda8cbd61e5ad6bbbbf4f6f5fe7c2a
sha256sums = d6d3eb0ef53ce501c6da5d756f7dc1adcf85361ad75b17253051bb3869b0b3dc
sha256sums = b76c02ca0d88e9818e58ef70592a216c6d969bde3b563c74244ee3687a39f672
sha256sums = 1b48a5714e9d89d419dac8969c005c56a0adc2599b558375ac9254a3168f55ae
sha256sums = 2e6a8f36c33e5e37956429eae2753944519f60a57fde81e0d72de1afa60a4103
sha256sums = c67da79111fa171a0900af0da9b151a1568b233f4929922e72d049d7490f98df
-
pkgname = v8-3.14
diff --git a/PKGBUILD b/PKGBUILD
index a6d3df5f03a..41bcd61ef61 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@
pkgname=v8-3.14
pkgver=3.14.5
-pkgrel=3
+pkgrel=4
pkgdesc='A fast and modern javascript engine (old 3.14 version required R package 'V8')'
arch=('i686' 'x86_64')
url='http://code.google.com/p/v8'
@@ -69,7 +69,7 @@ build() {
# keep old ABI to prevent symbol changes due to GCC5 transition
# https://wiki.debian.org/GCC5
- export CXXFLAGS="${CXXFLAGS} -fno-delete-null-pointer-checks -std=c++98"
+ export CXXFLAGS="${CXXFLAGS} -fno-delete-null-pointer-checks -std=c++98 -Wno-class-memaccess -Wno-cast-function-type"
export GYPFLAGS="-Dhost_arch=$ARCH -DOS=linux"